// +----------------------------------------------------------------------
// | Description: 接口合集，用于页面按钮权限、列表权限等接口校验,无权限的角色将会隐藏按钮
// +----------------------------------------------------------------------

export const api = {
    menu: {
        adminIndex: '/admin/system.menu/adminIndex',
        index: '/api/auth/permissions',
        add: '/api/auth/permissions',
        find: '/admin/system.menu/find',
        edit: '/api/auth/permissions',
        delete: '/api/auth/permissions',
        status: '/admin/system.menu/status'
    },
    role: {
        authData: '/admin/system.role/authData',
        authGroup: '/admin/system.role/authGroup',
        index: '/api/auth/roles',
        add: '/api/auth/roles',
        find: '/admin/system.role/find',
        edit: '/api/auth/roles',
        delete: '/api/auth/roles',
        status: '/admin/system.role/status',
        selectList: '/api/auth/roles'
    },
    demo: {
        index: '/admin/demo/index',
        add: '/admin/demo/add',
        find: '/admin/demo/find',
        edit: '/admin/demo/edit',
        delete: '/admin/demo/delete',
        export: '/admin/demo/export',
    },
    admin: {
        index: '/api/auth/users',
        add: '/api/auth/users',
        find: '/api/auth/users',
        edit: '/api/auth/users',
        delete: '/api/auth/users',
        status: '/admin/system.admin/status'
    },
    file: {
        index: '/admin/system.files/index',
        delete: '/admin/system.files/delete'
    },
    online: {
        index: '/admin/onlinecurd.index/index',
        getTables: '/admin/onlinecurd.index/getTables',
        getMainTableRow: '/admin/onlinecurd.index/getMainTableRow',
        getSubTableRow: '/admin/onlinecurd.index/getSubTableRow',
        save: '/admin/onlinecurd.index/save',
        status: '/admin/onlinecurd.index/status'
    },
    upload: {
        upload: '/admin/ajax/upload'
    },
    config: {
        index: '/admin/system.config/index',
        getConfig: '/api/config/site'
    },
    log: {
        index: '/api/auth/logs'
    },
    route: {
        initIndex: '/admin/ajax/initIndex'
    },
    login: {
        index: '/api/auth/login',

        register: '/admin/passport/register',
        userinfo: '/api/auth/me',
        logout: '/admin/passport/logout',
        update: '/admin/passport/update',
        getCaptcha: '/admin/ajax/getCaptcha'
        // index: '/admin/passport/index',
        // register: '/admin/passport/register',
        // userinfo: '/admin/passport/userinfo',
        // logout: '/admin/passport/logout',
        // update: '/admin/passport/update',
        // getCaptcha: '/admin/ajax/getCaptcha'
    },
    channel:{
        index:'/admin/manage/index', //服务渠道
        payment:'/admin/manage/payment', //支付渠道
        updateStatus:'/admin/manage/updateExt', //更新状态
        update:'/admin/manage/update', //修改渠道
        detail:'/admin/manage/getDetailInfo' //获取渠道信息
    },
    common:{
        getChannel:'/admin/common/getChannel', //支付渠道
        getChannelColumn:'/admin/common/getChannelColumn', //支付渠道
        getFuwuColumn:'/admin/common/getFuwuColumn', //服务渠道
        getStatusColumn:'/admin/common/getStatusColumn', //状态
    },
    transaction:{
        getHislist:'/admin/Transaction/hislist', //HIS交易明细
        getPlatformlist:'/admin/Transaction/platformlist', //平台交易明细
        detail:'/admin/Transaction/detail', //平台交易详情
    },
    journal:{
        contrast:'/admin/Journal/contrast',//账单拉取日志
        paylog:'/admin/Journal/paylog',//支付接口日志
        network:'/admin/Journal/network',//网络监控日志
        payflow:'/admin/Journal/payflow',//网络监控日志
        accountlog:'/admin/Journal/accountlog',//平台交账日志
    },
    financial:{
        getMonth:'/admin/Financial/getMonth',//T+1获取日期
        onesideHandle:'/admin/Financial/oneside_handle',//实时对账
        overview:'/admin/Financial/overview',//T+1统计
        balanceProcessing:'/admin/Financial/balance_processing',//平账处理
        dealDetail:'/admin/Financial/deal_detail',//交易详情
        his_check:'/admin/Financial/his_check',//对账报表
        handle_request:'/admin/Financial/handle_request',//退款
        uni_list:'/admin/Financial/uni_list',//退款

    },
    audit:{
        overview:'/admin/Audit/overview',//异常帐统计
        recharge_exception:'/admin/Audit/recharge_exception',//异常帐明细
        apply_for:'/admin/Audit/apply_for',//异常退费申请
        apply_record:'/admin/Audit/apply_record',//异常退费申请记录
        apply_examine:'/admin/Audit/apply_examine',//异常退费审核
        send_check_request:'/admin/Audit/send_check_request',//申请退款
        handle_request:'/admin/Audit/handle_request',//同意退款
        reject_refund:'/admin/Audit/reject_refund',//驳回
        offline_refund:'/admin/Audit/offline_refund',//标记线下
    },
    index:{
        data:'/admin/Index/data',//首页数据
    },
    report:{
        infolist:'/admin/Report/infolist',//交账详情
        report:'/admin/Report/report',//交账详情
        list:'/admin/Report/list',//支付渠道账单列表
        allTradeDetails:'/admin/caiwu/allTradeDetails',//财务报表
        merchantlist:'/admin/caiwu/merchantlist',//商户号列表
        handup:'/admin/Report/handup',//交账
        yibao:'/admin/caiwu/yibao',//医保总览
        yibaolist:'/admin/caiwu/yibaolist',//医保列表
        dayreport:'/admin/caiwu/dayreport',//日报表
        monthreport:'/admin/caiwu/monthreport',//月报表
        operateReport:'/admin/caiwu/operateReport',//操作员报表
        chequeNameReport:'/admin/caiwu/chequeNameReport',//支付渠道报表
    },
    refund:{
        list:'/admin/Refund/list',//退款列表
        operate:'/admin/Refund/operate',//退款列表
    },
    autotodo:{
        list:'/admin/AutoTodo/list',//退款列表
        operate:'/admin/AutoTodo/operate',//退款列表
        detail:'/admin/AutoTodo/detail',//退款列表
    },
    drug:{
        getDictionaryByType:'/api/dir/project',//his项目目录
        getGbxmbm:'/api/dir/project/search',//获取关联的国标项目编码
        hxlist:'/api/dir/project/hxlist',//核心目录
        step:'/api/dir/project/step',//很多步骤
        hospitallist:'/api/dir/project/comparelist',//已对照项目编码
        updatestatus:'/api/dir/project',//更新对照状态
        upload:'/api/dir/project/upload',//上传地委进行审核
        downloadhis:'/api/dir/project/downloadhis',//下载his目录
        downloaddw:'/api/dir/project/downloaddw',//下载对照完的目录
        uploadtohis:'/api/dir/project/uploadtohis',//上传给his
        syscompare:'/api/dir/project/syscompare',//手动对照
    },
    jiesuan:{
        updates:'/api/settlement/update_cost',
        preSettlementGetPatientInfo:'/api/patient/zy',//出院获取患者信
        recharge:'/outpatient-fees/pay/recharge',//出院获取患者信
         outinvoicing:'/invoice/api/outinvoicing',//出院获取患者信
        zyByIdCard:'/api/patient/zyByIdCard',//出院获取患者信
        zyByInpatientNo:'/api/patient/zyByInpatientNo',//出院获取患者信
        preSettlement:'/api/settlement',//出院获取患者信
        query_dict:'/api/dw/query_dict',//数据字典
        get_serial_number:'/api/other/get_serial_number',//结算流水号
        zy_mis:'/api/pay/zy_mis',//结算流水号
        retry_params:'/api/settlement/retry_params',//结算流水号
        blood:'/api/blood',//用血报销
        refund:'/api/pay/refund',//退款
        tuikuanlist:'/api/pay/proxy/refund_list',
        outHospital:'/api/settlement/outhosp',//出院
        prereturn:'/api/cost/zy/update_cost',
        freemoney:'/api/pay/recharge',
        getPatientInfo2:'/api/dw/query_basic_info', //医保信息查询
        jiesuanlist:'/api/settlement/payments', //结算处理列表
        feelist:'/api/cost/zy', //费用明细列表
        invoice:'/api/invoice', //费用明细列表
        allfeelist:'/api/settlement/costsall', //费用明细列表(所有人)
        config: '/api/config',
        discharge: '/api/pay/recharge_refund',
        recharge_refund: '/api/pay/recharge_refund_mis',
        editProportion: '/api/settle_fee/update_bili  ',
        zfbl: '/api/project/center/search/zfbl',
        get_zfbl: '/api/dw/directory/get_zfbl',

    },
    patient:{
        deletefee:'/api/settlement/destroy',
        getHisPatientInfo:'/api/register', //获取HIS中患者信息
        approval:'/api/register/approval', //获取HIS中患者信息
        getPatientInfo:'/api/dw/query_basic_info', //医保信息查询
        register:'/insure/basic/register', //医保住院登记
        province:'/insure/basic/province', //获取省
        city:'/insure/basic/city', //获取市
        district:'/insure/basic/district', //获取县
        disease:'/api/dir/disease', //获取疾病列表
        doctorlist:'/api/dir/doctor/basic', //获取医生列表
    },
    bed:{
        getBeds:'/api/patients', //获取HIS中患者信息
        basic:'/api/dir/departments/basic', //获取科室信息
    },
    mz:{
        jhsubmit:'/api/plug_sign/submit',
         pdxx:'/api/patient/mz',
         mzxx:'/api/dw/query_bassic_info',
         hiscard:'/api/patient/mz',
         printmis:'/api/settle/info',
         registration_pre:'/api/registration/pre',
         registration:'/api/registration',
         settlement_history:'/api/refund',
         mzxxs:'/api/dw/read_card',
         mzxxs_ewm:'/api/dw/read_ewm/read_card',
         mis_refund:'/api/pay/mis_refund',
         xxxxxx:'/api/dw/dsasdasd',
         settle_fee_self2yb:'/api/settle_fee_self2yb',
         pdxq:'/api/settle_fee',
         info:'/api/settle_fee',
         settle_fee2yb:'/api/settle_fee_self2yb',
         zhxx:'/api/settlement_mz',
         bxxx:'/api/settlement_mz',
         prescription:'/api/dw_audit/audit_prescription',
         serviceInvoke:'/api/dw_audit/mihs_service_invoke',
         jsxx:'/api/settle',
         mztk:'/api/settle',
         FeeStatus:'/api/settle/verifyFeeStatus',
        //  mzcs:'/api/settle',
        mztkNew:'/api/refund',
        mzcs:'/api/refund',
         basic:'/api/statistics/basic',
         basicInfo:'/api/insurance/query_basic_info',
         getInfoByQrCode:'/api/his/read_card/getInfoByQrCode',
         readCard:'/api/insurance/read_card',
         selfFundedSettle:'/api/refund_self'
    },
    inned:{
        jslbList:'/api/cost/admin',
        jslb:'/api/cost/admin',
        uploadSett:'/api/cost/admin',
        cancelSett:'/api/cost/admin/cancel',
        nurse_cell_list:'/api/cost/admin/nurse_cell',
    },

}
